Subject: bug#8634: 24.0.50; `number-at-point' returns char value for `?' constructs - 1) doc, 2) new fns

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Feb 2014 05:59:51 +0200

> Date: Sun, 9 Feb 2014 19:20:10 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > > I don't see that, in a build from 2014-02-07.  Lars, are you sure
> > > you put point on the `?' in the text `?A', and not just on an
> > > isolated `A' in the text?  This is about reading character
> > > literals.
> > 
> > Yeah, I put point on the ? in ?A, say M-: (number-at-point), and
> > Emacs says "nil".
> 
> OK, thanks for double-checking.  Sounds like it might be a Windows
> bug.

No, it's not Windows specific, because I see this on this machine:

  Linux fencepost.gnu.org 2.6.32-48-server #1trisquel3 SMP Mon Jun 17 20:00:36 UTC 2013 x86_64 GNU/Linux